| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# IG::Num::Func2dFromScalarScript Class Reference

Scalar function of 2 variables that is generated from expressions for evaluation of function value, gradient components, etc. More...

Inheritance diagram for IG::Num::Func2dFromScalarScript:
[legend]
Collaboration diagram for IG::Num::Func2dFromScalarScript:
[legend]

List of all members.

## Public Member Functions
| Func2dFromScalarScript (string varName1, string varName2, string valueExpression, string[] gradientExpressions, string[][] hessianExpressions)
| Constructs a scalar function of 2 variables from the specified scalar function of a vector argument.
virtual IScalarFunction | CreateScalarFunction (string varName1, string varName2, string valueExpression, string[] gradientExpressions, string[][] hessianExpressions)
| Creates a scalar function form expressions that specify evaluation of function value, gradient, and Hessian.
## Static Public Member Functions
static IScalarFunction | CreateScalarFunction (string[] variableNames, string valueExpression, string[] gradientExpressions, string[][] hessianExpressions)
| Creates and returns a scalar function that is formed on basis of expressions that define how function value and eventually gradient and hessian are calculated (if defined).
## Protected Member Functions
| Func2dFromScalarScript ()
| Func2dFromScalarScript (IScalarFunction originalFunction)
| Constructs a scalar function of 2 variables from the specified scalar function of a vector argument.

## Detailed Description

Scalar function of 2 variables that is generated from expressions for evaluation of function value, gradient components, etc.

$A Igor Oct11;

## Constructor & Destructor Documentation

IG::Num::Func2dFromScalarScript::Func2dFromScalarScript | ( |  | ) | `[inline, protected]`

IG::Num::Func2dFromScalarScript::Func2dFromScalarScript | ( | IScalarFunction | originalFunction | ) | `[inline, protected]`

Constructs a scalar function of 2 variables from the specified scalar function of a vector argument.

Parameters:

  scalarFunction | Original scalar function of vector argument used for evaluation.

IG::Num::Func2dFromScalarScript::Func2dFromScalarScript | ( | string | varName1,
|  | string | varName2,
|  | string | valueExpression,
|  | string[] | gradientExpressions,
|  | string | hessianExpressions[][]
| ) |  | `[inline]`

Constructs a scalar function of 2 variables from the specified scalar function of a vector argument.

Parameters:

  scalarFunction | Original scalar function of vector argument used for evaluation.

## Member Function Documentation

virtual IScalarFunction IG::Num::Func2dFromScalarScript::CreateScalarFunction | ( | string | varName1,
|  | string | varName2,
|  | string | valueExpression,
|  | string[] | gradientExpressions,
|  | string | hessianExpressions[][]
| ) |  | `[inline, virtual]`

Creates a scalar function form expressions that specify evaluation of function value, gradient, and Hessian.

Parameters:

  varName1 |
  varName2 |
  valueExpression |
  gradientExpressions |
  HessianExpressions |

Returns:

static IScalarFunction IG::Num::Func2dFromScalarScript::CreateScalarFunction | ( | string[] | variableNames,
|  | string | valueExpression,
|  | string[] | gradientExpressions,
|  | string | hessianExpressions[][]
| ) |  | `[inline, static]`

Creates and returns a scalar function that is formed on basis of expressions that define how function value and eventually gradient and hessian are calculated (if defined).

Parameters:

  variableNames |
  valueExpression |
  gradientExpressions |
  hessianExpressions |

Returns:

The documentation for this class was generated from the following file:

- Func2dFromScript.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events